import React from "react";
import IManifest from "./IManifest";
import IReadingOrder from "./IReadingOrder";
export default interface IReaderSettings {
    readerType?: "pdf" | "epub";
    renderEngine?: "iframe" | "html";
    theme?: string | "light";
    animation?: string | "flip";
    highlightColor?: string | "yellow";
    isFullscreen?: boolean | false;
    currentChapterNumbe?: number | 1;
    currentChapter?: IReadingOrder;
    currentPage?: IReadingOrder;
    autoPlay?: boolean | false;
    autoPlaySpeed?: number | 100;
    backgroundColor?: "#F9CF02" | "#FFFFFF" | "#000000";
    manifest?: IManifest;
    manifestUrl?: string;
    showTOC?: boolean | false;
    pageNumber?: number | 0;
    totalPages?: number | 0;
    readerStyle?: React.CSSProperties;
    readerElement?: any;
    media?: "mobile" | "tablet" | "desktop";
    [key: string]: any;
}
